Tip on how to create blocks quickly on the fly

Ever find yourself in the middle of a project with deadlines to meet, need to create a block, but hate how can disrupt your workflow? Or would like to collect some objects together so you can manipulate them easily? Then this video tip on how to create blocks quickly, on the fly is for you!

Forms, don’t you hate them?

Wouldn’t you rather just get on and get the drawing done?
I’ve always found block creation really disruptive to my workflow. By the time I’ve mucked around and filled in the form to create the block, I’ve often forgotten what I needed it for in the first place.

“There is a solution for real time, not a form in sight, block creation, and best of all it’s built right into BricsCAD.”

Jason Bourhill

1 comment

  • I have a LISP that allows me to just select objets and give an insertion point,
    resulting in an instant semi-randomly named block (replacing the selected objects “in place”).

    (defun C:QBLOC()
    (setq bn1 (strcat “qb_” (substr (getvar “loginname”) 1 3) (substr (rtos (*(getvar “date”)1000000000) 2 5) 12)))
    (princ “\n select objects”)
    (setq ss1 (ssget))
    (setq pt1 (getpoint “give insertion point”))
    (command “_-block” bn1 pt1 ss1 “”)
    (command “_-insert” bn1 pt1 1 1 0)
    )

Try BricsCAD 30 days for free

Subscribe to our newsletter

Want to receive the monthly newsletter in your inbox with the top content on the Bricsys Blog?